IDfier Developers
API reference

A document, its signers and their progress

GET
/documents/{id}

Authorization

apiKey
headerAuthorizationBearer <isk_live_…>

Path Parameters

id*string

Response Body

The document

application/json
  1. response
id?string
title?string
description?string|null
reference?string|null
returnUrl?string|null
status?DocumentStatus
Value in"draft""in_signature""completed""declined""void"
verificationMethods?array<>

How signers verify themselves: the company's choice (Company → API), as available

workspace?|null
owner?string
fileName?string|null
fileHash?|

SHA-256 of the original

signedFileHash?|

SHA-256 of the signed file

createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
expiresAt?|
Formatdate-time
completedAt?|
Formatdate-time
signers?array<>
certificate?|null
links?
Example Request
curl -X GET 'https://sign.idfier.com/api/v1/documents/string'
Example Response
{  "id": "string",  "title": "string",  "description": "string",  "reference": "string",  "returnUrl": "string",  "status": "draft",  "verificationMethods": [    "idfier"  ],  "workspace": {    "id": "string",    "name": "string"  },  "owner": "string",  "fileName": "string",  "fileHash": "string",  "signedFileHash": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z",  "signers": [    {      "id": "string",      "email": "string",      "role": "signer",      "order": 0,      "status": "pending",      "invitedAt": "2019-08-24T14:15:22Z",      "notifiedAt": "2019-08-24T14:15:22Z",      "signedAt": "2019-08-24T14:15:22Z",      "signingMethod": "idfier",      "signingUrl": "string"    }  ],  "certificate": {    "issuedAt": "2019-08-24T14:15:22Z",    "verificationUrl": "string"  },  "links": {    "self": "string",    "file": "string",    "signedFile": "string",    "certificate": "string"  }}